<?php // setup.php Setup aphpkb. 

include_once ('../global.php');
include_once ('../docs/config.php');
require('../docs/auth.php');

if(isset($_POST['submit'])) {  
        // Handle the Form 
 
	$message = NULL;  
        // Create an empty new variable for any messages. 

// Form Validation

$install = 'TRUE';

// Check for kb name. 
	if (strlen($_POST['kbname']) < 1) { $install = 'FALSE'; 
	$message .= 'You need to include a name for your knowledgebase.<br />  '; 
	} 
 // Check for kb home url. 
	if (strlen($_POST['kbhomeurl']) < 1) { $install = 'FALSE'; 
	$message .= 'You need to include a home page to link out of the kb.<br />  '; 
	} 
 // Check for kb admin email. 
	if (strlen($_POST['kbadminemail']) < 1) { $install = 'FALSE'; 
	$message .= 'You need to include an kbadmin email address.<br />  '; 
	} 
 // Check for kb admin password. 
	if (strlen($_POST['kbpass1']) < 4) { $install = 'FALSE';
	$message .= 'You need to include an kbadmin pasword with 4 or more characters.<br />  '; 
	} 
 // Check for kb admin password verify. 
	if (strlen($_POST['kbpass2']) <1) { $install = 'FALSE'; 
	$message .= 'You need to include an kbadmin password to verify.<br />  '; 
	} 	
	
	
if ($_POST['kbpass1'] == $_POST['kbpass2'])  { // it's all good! 
	} else { 
	$install = 'FALSE'; 
	$message .= 'Passwords to not match.  '; 
	} 	
	
 // End Form Validation


 	if ($install=='TRUE') {

 // If everything is okay, let's write the config.php file.
		
// let's get our variables in ship-shape!
		
	$kbname = xss_clean($_POST['kbname']); 
	$kbhomeurl = xss_clean($_POST['kbhomeurl']);
	$kbadminemail = xss_clean($_POST['kbadminemail']); 
	$kbadminpass1 = $_POST['kbpass1']; 
	$dbuser = xss_clean($_POST['dbuser']); 
	$dbpass = xss_clean($_POST['dbpass']);
	$dbhost = xss_clean($_POST['dbhost']); 
	$dbname = xss_clean($_POST['dbname']); 


// let's write out the config.php file		
$output = "<?php // config.php

define ('KBINSTALL' ,'TRUE');
define ('KBNAME' ,'$kbname');
define ('KBHOMEURL', '$kbhomeurl');
define ('KBADMINEMAIL' ,'$kbadminemail');
define ('KBADMINPASS' , '$kbadminpass1');
define ('DB_USER', '$dbuser');
define ('DB_PASSWORD', '$dbpassword');
define ('DB_HOST', '$dbhost');
define ('DB_NAME', '$dbname');
	
// Make the connection and then select that database.
" . 
'$dbc' . "= @mysql_connect (DB_HOST, DB_USER, DB_PASSWORD) OR die ('Could not connect to MySQL: ' . mysql_error() );
mysql_select_db (DB_NAME) OR die ('Could not select the database: ' . mysql_error()
);
?>";
	
	$file = '../docs/config.php';
	$fh = fopen($file, "w");
	$status = fwrite($fh, $output);
	fclose($fh);

} // end of not having problems with the form submission

} // end of checking if the form was submitted.
  

  
// Set the page title and include the HTML header. 
$page_title = 'Setup' . $kbname;
$title = $page_title;
include_once ('../includes/adminheader.html'); 

if(isset($_POST['submit']))	{
if(isset($message)) { echo '<font color="red">Error : ' . $message . '</font>'; } else { echo 'Knowledgebase details have been written to the config.php file.';

echo $output;

echo <<<_EOF
<pre>
KB Install = TRUE
Knowledgebase Name = $kbname
KB Home URL = $kbhomeurl
KBADMIN Email = $kbadminemail
KBADMIN Password = $kbadminpass1
Database Username = $dbuser
Database Password = $dbpassword
Database Host = $dbhost
Database Name = $dbname
</pre>
_EOF;


echo 'You may like to print or save these details for future reference';

} 

include_once('../includes/adminfooter.html'); 
exit;
}

?>


<p>
Setup form for aphpkb.
</p>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="POST"> 

<p>Knowledgebase Name:<br />
<i>This is the name you will give to your knowledgebase, such as ACME Widget KB</i><br />
<input type="text" name="kbname" size="25" maxlength="60" value="<?php if (isset($_POST['kbname'])) {echo $_POST['kbname'];} else { echo KBNAME; } ?>" /> 
</p>
<p>Knowledgebase Home URL:<br />
<i>This is the URL back to your company/organisation home page, such as http://acme.com/widget - please include the http://</i><br />
<input type="text" name="kbhomeurl" size="45" maxlength="60" value="<?php if (isset($_POST['kbhomeurl'])) { echo $_POST['kbhomeurl'];} else { echo KBHOMEURL; } ?>" /> 
</p>
<p>Knowledgebase Admin Email:<br />
<i>This is the email address you wish to receive email notices if email is enabled on your knowledgebase</i><br />
<input type="text" name="kbadminemail" size="25" maxlength="25" value="<?php if (isset($_POST['kbadminemail'])) { echo $_POST['kbadminemail'];} else { echo KBADMINEMAIL; } ?>" /> 
</p>
<p>Knowledgebase Admin Password:<br />
<i>This is the admin password for your knowledgebase</i><br />
<input type="password" name="kbpass1" size="25" maxlength="25" /> 
 </p>
<p>Password Verify:<br />
<input type="password" name="kbpass2" size="25" maxlength="25" />
</p>
 
<p>Database User:<br />
<i>The database user that is used to authenticate with MySQL (currently set to <b><?php echo DB_USER; ?></b>)</i><br />
<input type="text" name="dbuser" value="root" />
</p>
<p>Database Password:<br />
<i>The password that is used to authenticate with MySQL (currently set to <b><?php if (strlen(DB_PASSWORD) > 0) { echo DB_PASSWORD; } else {echo "''";} ?></b>)</i><br />
<input type="password" name="dbpass" value="" />
</p>
<p>Database Host:<br />
<i>The hostname of the server that hosts the MySQL system you will access for the database (currently set to <b><?php echo DB_HOST; ?></b>)</i><br />
<input type="text" name="dbhost" value="localhost" />
</p>
<p>Database Name:<br />
<i>The name for your aphpkb database (currently set to <b><?php echo DB_NAME; ?></b>)</i><br />
<input type="text" name="dbname" value="akb" />
</p>
<input type="submit" name="submit" value="Submit" /></tr>
</form>


<?php // Include the HTML footer file. 
include_once ('../includes/adminfooter.html'); 
?> 
