<?php // abk.php Articles by Keywords.
// Set the page title and include the HTML header.
include('global.php');

$page_title = 'Search Results';
$keyword_list = $_REQUEST['keyword_list'];

/*
mysql_escape_string(xss_clean(
));
*/

$fuzzy = 1; 

$title = "Search Results for \"$keyword_list\"";
include_once ('includes/header.html');
// Number of Records to show per page:
$display = 10;

// Determine where in the db to start returning results
if (isset($_GET['s'])) { // Already determined
$start = $_GET['s'];
} else {
$start = 0;
}

// We need to sort out the query first, because we are searching from
// any number of keywords, this is an involved process.

$firstquery = "SELECT FileID, Title, Articledata, Author, DATE_FORMAT(SubmitDate, '%m/%e/%y') as date FROM articles WHERE Approved='Y' AND Keywords LIKE ";
	$endquery = " ORDER by FileID";
	$arrkeywords = explode(' ', $keyword_list);
	$firsttime = "TRUE";

foreach ($arrkeywords as $keyword) {

	if($keyword == " " || $keyword == "") continue;

		if ($firsttime == "FALSE") {
			$keywordquery = $keywordquery . " OR Keywords LIKE " ;
		}
		
		if (isset($fuzzy)) {
			$keywordquery = $keywordquery . "'%{$keyword}%'";
		} else {
			$keywordquery = $keywordquery . "' {$keyword} '";
		}

		$firsttime = "FALSE";
	}

$query = $firstquery . $keywordquery . $endquery;
$viewquery = $query . " LIMIT $start, $display";
// That's the end of our query making.  


// Determine how many pages there are:
if (isset($_GET['np'])) { // all ready been determined
$num_pages = $_GET['np'];
} else { // need to determine
$query_result = mysql_query($query);
$num_records = @mysql_num_rows($query_result);

if ($num_records > $display) { // more than one page
$num_pages = ceil($num_records/$display);
} else {
$num_pages = 1;
}
}

//echo "Number of Pages: $num_pages";

$first = TRUE;

$result = mysql_query($viewquery);
$num = $num_records;

if($result)	{
$bg = '#f5f5f5'; // Set the background color.

while ($row = mysql_fetch_array ($result, MYSQL_ASSOC)) {	
// switch background colours:
$bg = ($bg=='#f5f5f5' ? '#cccccc' : '#f5f5f5');
// If this is the first record, create the table header.	

if ($first) {

echo <<<EOF
<table border="0" cellspacing="0" cellpadding="5" align="center" width="95%"><tr>
<td align="left" width = "30%"><font size="1">Title</font></td>
<td align="left" width = "40%"><font size="1">Summary</font></td>
<td align = "left" width = "10%"><font size="1">Author</font></td>
<td align = "right" width = "20%"><font size="1">Last Updated</font></td></tr>
EOF;

} 

// End of first IF
// Display each record.	


echo '<tr bgcolor="' . $bg, '"><td align="left"><a href="view_article.php?' . "num={$row['FileID']}\">{$row['Title']}</a></td>
<td align=\"left\"> ";

echo substr($row['Articledata'],0,52) . '...';


echo "<td align=\"left\">
{$row['Author']}</td>

<td align=\"right\">
{$row['date']}</td></tr>\n";	

$first = FALSE; 

// One record has been returned

} 

// End of While loop
// If no records were displayed...
if ($first) {	

echo '
<p>No articles match the query.</p>

<p>Please search again and use more specific keywords.<br />
Multiple keywords can be used to refine the search.</p>

<form action="abk.php" method="post">
<div align="left">Search Keywords <br />
<input type="text" name="keyword_list" type="text">
&nbsp;&nbsp; 
<input type="submit" value="Search" name="">
</div>
</form>
';
echo '</td></tr></table>'; 

} else {	

echo '</td></tr></table>'; 

// Close the table.
		// Make the links to other pages, if necessary.
		if ($num_pages > 1) {
			
			echo '<p class="content">';
			
			// Determine what page the script is on.	
			$current_page = ($start/$display) + 1;
			
			// If it's not the first page, make a Previous button.
			if ($current_page != 1) {
				echo '<a href="abk.php?keyword_list=' . $keyword_list . '&s=' . ($start - $display) . '&np=' . $num_pages . '">Previous</a> ';
			}
			
			// Make all the numbered pages.
			for ($i = 1; $i <= $num_pages; $i++) {
				if ($i != $current_page) {
					echo '<a href="abk.php?keyword_list=' . $keyword_list . '&s=' . (($display * ($i - 1))) . '&np=' . $num_pages . '">' . $i . '</a> ';
				} else {
					echo $i . ' ';
				}
			}
			
			// If it's not the last page, make a Next button.
			if ($current_page != $num_pages) {
				echo '<a href="abk.php?keyword_list=' . $keyword_list . '&s=' . ($start + $display) . '&np=' . $num_pages . '">Next</a>';
			}
			
			echo '</p><br />';
			
		} // End of links section.
}
}
// Include the HTML footer file.
include_once ('includes/footer.html');

?>
